Name:		videosnarf
Version:	0.63
Release:	%mkrel 14
Summary:	Output detected media sessions
License:	GPLv2
Group:		Security
URL:		https://ucsniff.sourceforge.net/videosnarf.html
Source:		https://sourceforge.net/projects/ucsniff/files/videosnarf/videosnarf-%{version}.tar.gz
Patch0:		videosnarf-0.63-fix-linking.patch
# Do not use i386 static libs on arm. Should we on i586? Where are the sources?
Patch1:		videosnarf-0.63-arm.patch
Patch2:		videosnarf-0.63-aarch64.patch
ExcludeArch:	%{ix86}
BuildRequires:	libnet1-devel
BuildRequires:	pcap-devel

%description
VideoSnarf is a new security assessment tool that takes an offline
pcap as input, and outputs any detected media streams (RTP sessions),
including common audio codecs as well as H264 Video support.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/%{name}


%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 0.63-14.mga10
+ Revision: 2213039
- exclude i686 arch
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.63-13.mga9
+ Revision: 1831456
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.63-12.mga8
+ Revision: 1518043
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.63-11.mga7
+ Revision: 1301612
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 wally <wally> 0.63-10.mga7
+ Revision: 1242938
- add patch to fix build on aarch64

* Sun Jul 17 2016 pterjan <pterjan> 0.63-8.mga6
+ Revision: 1042309
- Do not use i386 static libs on arm. Should we on i586? Where are the sources?

* Mon Feb 08 2016 umeabot <umeabot> 0.63-7.mga6
+ Revision: 947811
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.63-6.mga5
+ Revision: 739147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.63-5.mga5
+ Revision: 690204
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.63-4.mga4
+ Revision: 532872
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 guillomovitch <guillomovitch> 0.63-3.mga4
+ Revision: 470184
- fix build
- switch to security group
- fix summary
- fix build

* Mon Jan 14 2013 umeabot <umeabot> 0.63-2.mga3
+ Revision: 385410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 29 2012 guillomovitch <guillomovitch> 0.63-1.mga2
+ Revision: 216212
- imported package videosnarf


* Wed Feb 29 2012 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1.mga2
- first mageia package
